<?php
namespace ArchiveSiteMeta\Service\BlockLayout;

use Interop\Container\ContainerInterface;
use ArchiveSiteMeta\Site\BlockLayout\ArchiveSiteMeta;
use Laminas\ServiceManager\Factory\FactoryInterface;

class ArchiveSiteMetaFactory implements FactoryInterface
{
	public function __invoke(ContainerInterface $services, $requestedName, array $options = null)
	{
		$settings = $services->get('Omeka\Settings');

		//$defaultSettings['collections'] = $settings->get('sitemeta_collections');
		return new ArchiveSiteMeta(
			$services->get('FormElementManager'),
			$services->get('Config')['DefaultSettings']['ArchiveSiteMetaBlockForm'],
			$settings->get('sitemeta_collections')
		  //$services->get('Config')['file_store']['local']['base_path'] ?: (OMEKA_PATH . '/files'),
			//$services->get('Omeka\SiteSettings'),
		);
	}
}
?>
