<?php
namespace ArchiveSiteMeta\Form;

use ArchiveSiteMeta\Module;
use Laminas\Form\Element;
use Laminas\Form\Form;

class ArchiveSiteMetaBlockForm extends Form
{

	public function init()
	{

		$this->add([
			'name' => 'o:block[__blockIndex__][o:data][currator]',
      'type' => Element\Text::class,
      'options' => [
					'label' => "Artist",
      ],
		]);

		$this->add([
		    'type' => Element\Date::class,
		    'name' => 'o:block[__blockIndex__][o:data][project_date]',
		    'options' => [
		        'label' => 'Project Date',
		        'format' => 'Y-m-d',
		    ],
		]);

	}
}
