<?php

namespace ArchiveSiteMeta\Service\ViewHelper;

use ArchiveSiteMeta\View\Helper;
use Zend\ServiceManager\Factory\FactoryInterface;
use Interop\Container\ContainerInterface;
use ArchiveSiteMeta\View\Helper\ArchiveSiteMetaViewHelper;

class ArchiveSiteMetaViewHelperFactory implements FactoryInterface
{
    public function __invoke(ContainerInterface $services, $requestedName, array $options = null)
    {
        $config = $services->get('Config');
        return new ArchiveSiteMetaViewHelper($services->get('Omeka\Settings'));
    }
}
